/* hello.c
   Prints Hello to the screen.
   cmc, 12/28/09

   P.S. This is a comment. Five more comments are below.

   Every program should have a header comment (like
   this one) that includes (a) the program's name,
   (b) a short description, (c) the author and the
   creation date.

   Every function should have a header-type comment too.

   And other comments should be included if they
   help explain the code. But note that demonstration
   programs such as this one have many, many more
   comments than would ordinarily be necessary.
*/

/*
  The next line gives access to input-output features.
  In this program we need it to use the printf function.
*/
#include <stdio.h>

/*
   Every C program starts through the function named main.
   This function returns an integer to the operating system.
   There are two different standard versions - in this
   program we use the version that takes no arguments.
*/
int main(void) {

    /* Use printf function to print a greeting. */
    printf("Hello\n");  /* note: \n is newline */

    /* Return 0 to indicate program success. */
    return 0;

} /* End of main function. */
